/* Copyright (c) 1990 by Steve Peltz */

#include "::PAD:pad.h"
#include <Color.h>
#include <WindowMgr.h>

#define	NIL	(void *)0
#define Front	(WindowPtr)-1

#define titleWindow	noGrowDocProc
#define plainWindow	plainDBox
#define menuOffset	20
#define titleOffset	18

typedef	struct {
	Byte	KeyCode[128][2][2];
	Byte	Repeat[16],
		Access[16];
	Byte	Special[];
	}	KtPTab;

typedef	struct {
	long		Ident;
	short		Version;
	short		BaudRate;
	short		WindowType;
	Point		WindowLoc,
			ScreenSize;
	padPt		PLATOSize;
	RGBColor	DefaultForeColor,
			DefaultBackColor;
	short		CharLoadAddress;
	Byte		TermType,
			SubType,
			LoadFile,
			Configuration;
	Boolean		FlowControl;
	}	ConfigRec;

typedef KtPTab *	KtPPtr;
typedef	Byte		CharBits[16];
typedef	CharBits *	CharPoint;

/* global variables */

extern	WindowPtr	mainWindow;

extern	short		driverin,
			driverout;

extern	KtPPtr *	KtP;

extern	CharBits	LoadChar[128];
extern	CharBits	PCHR[160];

extern	short		CharWide,
			CharHigh;

extern	padPt		TTYLoc;

extern	Boolean		Mono,
			FlowOff,
			TouchActive;

extern	Point		WindowLoc;
extern	short		WindowType;

extern	ConfigRec	Config;
extern	Str255		ConfigFile;
extern	short		ConfigVRefNum;

void	SetPLATOMenu(void);
void	SetFlowMenu(void);
void	ResetPLATOWindow(void);
void	SetFlow(Boolean);
void	MapTouch(Point);
void	Check(short, char *);
void	InitAll(short);
void	Cleanup(void);
void	Quit(void);
void	BaudRate(short);
void	About(void);
void	DefaultConfig(void);
void	OpenFinderFile(void);
void	Configure(void);
void	GetConfigFile(void);
void	SaveConfigFile(Boolean);
Boolean	AskConfigFile(void);
