/* Copyright (c) 1990 by Steve Peltz */

#define ACCESS	0x3c

typedef	unsigned char	padByte;
typedef	enum {padF, padT} padBool;
typedef	unsigned char	padChar;
typedef	short	padWord;
typedef	padWord	charData[8];
typedef	struct {
	padByte	red,
		green,
		blue;
	} padRGB;

typedef struct {
	padWord	x,
		y;
	} padPt;

typedef enum {ModeWrite, ModeErase, ModeRewrite, ModeInverse} DispMode;
typedef enum {M0, M1, M2, M3} CharMem;

extern	padPt		PLATOSize;
extern	CharMem		CurMem;
extern	padBool		TTY,
			FlowControl,
			ModeBold,
			Rotate,
			Reverse;
extern	DispMode	CurMode;

#include "interface.h"
